<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Syntax.PythonSyntax</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../Syntax.html" >Syntax</a>
</div><div class="class-name">class PythonSyntax

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/Syntax.py.html" target="detail">../Synopsis/Formatters/DocBook/Syntax.py</a></div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSyntax" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line35" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="PythonSyntax-inheritance" src="PythonSyntax-inheritance.png" hspace="8" vspace="8" border="0" usemap="#PythonSyntax-inheritance_map" />
<map name="PythonSyntax-inheritance_map"><area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" href="PythonDetailSyntax.html" shape="rect" coords="5, 156, 352, 180" />
<area alt="Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html" href="../DocBook/Formatter.html" shape="rect" coords="376, 156, 680, 180" />
<area alt="Scopes/Synopsis/Formatters/DocBook/DocBook/ModuleLister.html" href="../DocBook/ModuleLister.html" shape="rect" coords="704, 156, 1027, 180" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" href="PythonSummarySyntax.html" shape="rect" coords="1051, 156, 1419, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/SummaryCommenter/SummaryCommenter.html" href="../../HTML/Fragments/SummaryCommenter/SummaryCommenter.html" shape="rect" coords="1443, 156, 1933, 180" />
<area alt="Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" href="../../../Processors/ModuleFilter/ModuleFilter.html" shape="rect" coords="1957, 156, 2240, 180" />
<area alt="Scopes/Synopsis/Processors/Comments/Filter/Filter.html" href="../../../Processors/Comments/Filter/Filter.html" shape="rect" coords="2264, 156, 2525, 180" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Markup/RST/SummaryExtractor.html" href="../Markup/RST/SummaryExtractor.html" shape="rect" coords="2549, 156, 2925, 180" />
<area alt="Scopes/Synopsis/ASG/Parameter.html" href="../../../ASG/Parameter.html" shape="rect" coords="2949, 156, 3112, 180" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" href="Syntax.html" shape="rect" coords="1961, 7, 2236, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function">visit_function</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_function" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line37" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parameter">visit_parameter</a>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_parameter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line44" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_variable">visit_variable</a>(<span class="variable">self</span>, <span class="variable">variable</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_variable" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line50" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_const">visit_const</a>(<span class="variable">self</span>, <span class="variable">const</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_const" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line54" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Syntax">
<tr><td colspan="2" class="heading">Attributes Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#output" title="attribute Syntax.output">output</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Syntax">
<tr><td colspan="2" class="heading">Methods Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#__init__" title="method Syntax.__init__">__init__</a>,
<a href="Syntax.html#finish" title="method Syntax.finish">finish</a>,
<a href="Syntax.html#typeid" title="method Syntax.typeid">typeid</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
